View Issue Details

IDProjectCategoryView StatusLast Update
0002576FreeCADBugpublic2017-01-16 22:00
ReporterKarenReiAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformFedora 22OSOS Version
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002576: Can't add FEM anchors
DescriptionSelected a bunch of faces. Got:

('EOL while scanning string literal', ('<string>', 1, 4062, 'App.ActiveDocument.FemConstraintFixed.References = [(App.ActiveDocument.Mesh001001,"Face7170"), (App.ActiveDocument.Mesh001001,"Face39327"), (App.ActiveDocument.Mesh001001,"Face7063"), (App.ActiveDocument.Mesh001001,"Face6404"), (App.ActiveDocument.Mesh001001,"Face6384"), (App.ActiveDocument.Mesh001001,"Face6365"), (App.ActiveDocument.Mesh001001,"Face5995"), (App.ActiveDocument.Mesh001001,"Face6362"), (App.ActiveDocument.Mesh001001,"Face6372"), (App.ActiveDocument.Mesh001001,"Face18005"), (App.ActiveDocument.Mesh001001,"Face17991"), (App.ActiveDocument.Mesh001001,"Face5729"), (App.ActiveDocument.Mesh001001,"Face21409"), (App.ActiveDocument.Mesh001001,"Face16518"), (App.ActiveDocument.Mesh001001,"Face25623"), (App.ActiveDocument.Mesh001001,"Face6373"), (App.ActiveDocument.Mesh001001,"Face6359"), (App.ActiveDocument.Mesh001001,"Face6415"), (App.ActiveDocument.Mesh001001,"Face6354"), (App.ActiveDocument.Mesh001001,"Face7069"), (App.ActiveDocument.Mesh001001,"Face6201"), (App.ActiveDocument.Mesh001001,"Face6178"), (App.ActiveDocument.Mesh001001,"Face7258"), (App.ActiveDocument.Mesh001001,"Face36261"), (App.ActiveDocument.Mesh001001,"Face40224"), (App.ActiveDocument.Mesh001001,"Face36270"), (App.ActiveDocument.Mesh001001,"Face39925"), (App.ActiveDocument.Mesh001001,"Face10551"), (App.ActiveDocument.Mesh001001,"Face10553"), (App.ActiveDocument.Mesh001001,"Face10546"), (App.ActiveDocument.Mesh001001,"Face21494"), (App.ActiveDocument.Mesh001001,"Face2228"), (App.ActiveDocument.Mesh001001,"Face2239"), (App.ActiveDocument.Mesh001001,"Face2255"), (App.ActiveDocument.Mesh001001,"Face2235"), (App.ActiveDocument.Mesh001001,"Face13140"), (App.ActiveDocument.Mesh001001,"Face10731"), (App.ActiveDocument.Mesh001001,"Face13364"), (App.ActiveDocument.Mesh001001,"Face13423"), (App.ActiveDocument.Mesh001001,"Face24556"), (App.ActiveDocument.Mesh001001,"Face24529"), (App.ActiveDocument.Mesh001001,"Face24535"), (App.ActiveDocument.Mesh001001,"Face10711

Well, that was a waste of half an hour selecting those faces... :(
Steps To ReproduceHonestly, I don't know if you'll be able to just randomly pick faces and get that. But you can open the file here:

https://drive.google.com/open?id=0B6KWLyPRYMb0S0g2RGpxRWZkWWs
Additional InformationOS: "Fedora release 22 (Twenty Two)"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7680 (Git)
Build type: Unknown
Branch: master
Hash: 966ce79207da593db8a7848e23c82f4d3baad27c
Python version: 2.7.10
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.7.1.oce-0.16
TagsFEM

Activities

berndhahnebach

2016-07-28 23:49

developer   ~0007228

works in 0.17.8048

Was fixed. See form topic http://forum.freecadweb.org/viewtopic.php?f=18&t=15933

The issue could be closed.

Kunda1

2017-01-16 09:26

manager   ~0007816

per @berndhahnebach in 0002576:0007228 this is issue is closed per
wmayer's fix in http://github.com/FreeCAD/FreeCAD/commit/3c269f4 mentioned in the forum thread (http://forum.freecadweb.org/viewtopic.php?f=18&t=15933#p126968)

Issue History

Date Modified Username Field Change
2016-06-02 00:22 KarenRei New Issue
2016-07-28 23:49 berndhahnebach Note Added: 0007228
2016-07-28 23:49 berndhahnebach Tag Attached: FEM
2017-01-16 09:26 Kunda1 Note Added: 0007816
2017-01-16 09:26 Kunda1 Status new => resolved
2017-01-16 09:26 Kunda1 Fixed in Version => 0.17
2017-01-16 09:26 Kunda1 Resolution open => fixed
2017-01-16 09:26 Kunda1 Assigned To => wmayer
2017-01-16 22:00 wmayer Status resolved => closed